summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Frank Caraballo <fecaraballo{at}gmail{dot}com>2010-05-11 20:02:00 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 20:02:00 +0200
commit4eabcc2c4fca9669a24a2b1dce26283e2a242179 (patch)
treed04fa9904ec9768e5bef1c3b008c19e1d6d96948
parent2d9fd684b3659e2ef30587067a2f910c194b328e (diff)
downloadslackbuilds-4eabcc2c4fca9669a24a2b1dce26283e2a242179.tar.gz
slackbuilds-4eabcc2c4fca9669a24a2b1dce26283e2a242179.tar.xz
system/hardinfo: Added to 12.0 repository
-rw-r--r--system/hardinfo/README4
-rw-r--r--system/hardinfo/doinst.sh3
-rw-r--r--system/hardinfo/hardinfo.SlackBuild81
-rw-r--r--system/hardinfo/hardinfo.info8
-rw-r--r--system/hardinfo/slack-desc19
5 files changed, 115 insertions, 0 deletions
diff --git a/system/hardinfo/README b/system/hardinfo/README
new file mode 100644
index 0000000000..36a23861bf
--- /dev/null
+++ b/system/hardinfo/README
@@ -0,0 +1,4 @@
+HardInfo can gather information about your system's
+hardware and operating system, perform benchmarks, and
+generate printable reports either in HTML or in plain
+text formats.
diff --git a/system/hardinfo/doinst.sh b/system/hardinfo/doinst.sh
new file mode 100644
index 0000000000..5dc6bb58c0
--- /dev/null
+++ b/system/hardinfo/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x usr/bin/update-desktop-database ]; then
+ usr/bin/update-desktop-database -q usr/share/applications
+fi
diff --git a/system/hardinfo/hardinfo.SlackBuild b/system/hardinfo/hardinfo.SlackBuild
new file mode 100644
index 0000000000..812fe8b4b6
--- /dev/null
+++ b/system/hardinfo/hardinfo.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for HardInfo
+
+# Copyright 2008 Frank Caraballo <fecaraballo{at}gmail{dot}com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=hardinfo
+VERSION=0.4.2.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# There is no way to manually set compiler flags and no configure options
+# are available (everything ends up in the right place though).
+./configure || exit 1
+
+# Set the compiler flags here
+ARCHOPTS=$SLKCFLAGS make -e || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+find $PKG -type d -depth -exec rmdir {} \; 2>/dev/null
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/hardinfo/hardinfo.info b/system/hardinfo/hardinfo.info
new file mode 100644
index 0000000000..f380429e62
--- /dev/null
+++ b/system/hardinfo/hardinfo.info
@@ -0,0 +1,8 @@
+PRGNAM="hardinfo"
+VERSION="0.4.2.3"
+HOMEPAGE="http://hardinfo.berlios.de/"
+DOWNLOAD="http://download.berlios.de/hardinfo/hardinfo-0.4.2.3.tar.bz2"
+MD5SUM="c2fa9098193ed730de581d43b30d70d4"
+MAINTAINER="Frank Caraballo"
+EMAIL="fecaraballo{at}gmail{dot}com"
+APPROVED="David Somero"
diff --git a/system/hardinfo/slack-desc b/system/hardinfo/slack-desc
new file mode 100644
index 0000000000..519967dcf6
--- /dev/null
+++ b/system/hardinfo/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+hardinfo: HardInfo (System Profiler and Benchmark)
+hardinfo:
+hardinfo: HardInfo can gather information about your system's
+hardinfo: hardware and operating system, perform benchmarks, and
+hardinfo: generate printable reports either in HTML or in plain
+hardinfo: text formats.
+hardinfo:
+hardinfo: Homepage: http://hardinfo.berlios.de/
+hardinfo:
+hardinfo:
+hardinfo: